PoliciesOperations Class
PoliciesOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectPoliciesOperations
Constructor
PoliciesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get_by_billing_profile |
Lists the policies for a billing profile. This operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| get_by_customer |
Lists the policies for a customer. This operation is supported only for billing accounts with agreement type Microsoft Partner Agreement. |
| update |
Updates the policies for a billing profile. This operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| update_customer |
Updates the policies for a customer. This operation is supported only for billing accounts with agreement type Microsoft Partner Agreement. |
get_by_billing_profile
Lists the policies for a billing profile. This operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
get_by_billing_profile(billing_account_name: str, billing_profile_name: str, **kwargs: Any) -> _models.Policy
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Policy, or the result of cls(response)
Return type
Exceptions
get_by_customer
Lists the policies for a customer. This operation is supported only for billing accounts with agreement type Microsoft Partner Agreement.
get_by_customer(billing_account_name: str, customer_name: str, **kwargs: Any) -> _models.CustomerPolicy
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
CustomerPolicy, or the result of cls(response)
Return type
Exceptions
update
Updates the policies for a billing profile. This operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
update(billing_account_name: str, billing_profile_name: str, parameters: _models.Policy, **kwargs: Any) -> _models.Policy
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Policy, or the result of cls(response)
Return type
Exceptions
update_customer
Updates the policies for a customer. This operation is supported only for billing accounts with agreement type Microsoft Partner Agreement.
update_customer(billing_account_name: str, customer_name: str, parameters: _models.CustomerPolicy, **kwargs: Any) -> _models.CustomerPolicy
Parameters
- parameters
- CustomerPolicy
Request parameters that are provided to the update policies operation.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
CustomerPolicy, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.billing.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\billing\\models\\__init__.py'>
Feedback
Submit and view feedback for